package com.qmth.cqb.question.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 导入试卷实体类
 * Created by songyue on 16/12/28.
 */
public class ImportPaper implements Serializable{
    private static final long serialVersionUID = -323432549247192327L;

    @Id
    private String id;

    @Indexed(unique = true)
    private String paperName;//试卷名称

    private String createTime;//创建时间

    private String updateTime;//更新时间

    private byte[] paperWord;//原始试卷word

    private byte[] paperHtml;//原始试卷html

    private List<Question> questionList;//试卷中的所有试题,按顺序排列

    private Map<String,String> quesParams;//导入试卷属性

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public byte[] getPaperWord() {
        return paperWord;
    }

    public void setPaperWord(byte[] paperWord) {
        this.paperWord = paperWord;
    }

    public byte[] getPaperHtml() {
        return paperHtml;
    }

    public void setPaperHtml(byte[] paperHtml) {
        this.paperHtml = paperHtml;
    }

    public List<Question> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<Question> questionList) {
        this.questionList = questionList;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Map<String, String> getQuesParams() {
        return quesParams;
    }

    public void setQuesParams(Map<String, String> quesParams) {
        this.quesParams = quesParams;
    }

    public ImportPaper() {
    }
}
